----------------------------------------------------------------------------------------------------------------------------------
-- Portal Maps
-- Author  : MagNuM=S.K/19
----------------------------------------------------------------------------------------------------------------------------------
function initArray(m)
local array = {}
for i = 1, m do
array[i]=0
end
return array
end

pt_save_x=initArray(32)
pt_save_y=initArray(32)
pt_limit=0

-------------------
-- Start UP File --
-------------------
dofile("sys/lua/portal/portal_cfg.cfg")

-----------------
-- Save System --
-----------------
addhook("ms100","pt_up")
function pt_up()
local i
for i=1,32 do

if pt_limit==0 then
pt_save_x[i]=0
pt_save_y[i]=0
pt_limit=1
end
end
end

addhook("startround","pt_reset")
function pt_reset()
local i
for i=1,32 do
pt_save_x[i]=0
pt_save_y[i]=0
end
end

addhook("spawn","pt_hudtxt")
function pt_hudtxt(id)
parse('hudtxt2 '..id..' 1 "255255255== [F2] Load" 500 300')
parse('hudtxt2 '..id..' 2 "255255255== [F3] Save" 500 315')

parse('hudtxt2 '..id..' 3 "255255255== [!load] Load" 500 345')
parse('hudtxt2 '..id..' 4 "255255255== [!save] Save" 500 360')

parse("equip "..id.." 88")
parse("setweapon "..id.." 88")
parse("strip "..id.." 50")
parse("strip "..id.." 1")
parse("strip "..id.." 2")

parse("equip "..id.." 79")
parse("speedmod "..id.." 10")
end

addhook("serveraction","pt_save")
function pt_save(id,button)

-- Load
if (button==1) then
if pt_save_x[id]==0 and pt_save_y[id]==0 then
msg2(id,"255000000You do not have Save Point!@C")
else
msg2(id,"000255000Loading Now!@C")
parse("spawnplayer "..id.." "..pt_save_x[id].." "..pt_save_y[id])
end
end

-- Save
if (button==2) then
msg2(id,"000255000Saved...@C")
pt_save_x[id]=player(id,"x")
pt_save_y[id]=player(id,"y")
end
end


--------------
-- From Say --
--------------
addhook("say","pt_saysave")
function pt_saysave(id,txt)

-- Load
if (txt=="!load") or (txt=="!LOAD") then
if pt_save_x[id]==0 and pt_save_y[id]==0 then
msg2(id,"255000000You do not have Save Point!@C")
else
msg2(id,"000255000Loading Now!@C")
parse("spawnplayer "..id.." "..pt_save_x[id].." "..pt_save_y[id])
return 1
end
end

-- Save
if (txt=="!save") or (txt=="!SAVE") then
msg2(id,"000255000Saved...@C")
pt_save_x[id]=player(id,"x")
pt_save_y[id]=player(id,"y")
return 1
end
end


-------------------
-- Other Setting --
-------------------
addhook("buy","pt_buy")
function pt_buy()
return 1
end

addhook("walkover","pt_walkover")
function pt_walkover()
return 1
end

addhook("drop","pt_drop")
function pt_drop()
return 1
end

addhook("die","pt_die")
function pt_die()
return 1
end
